from torch.utils.data import default_collate


class Dataset:
    
    def __len__(self):
        raise NotImplementedError()
    
    def __getitem__(self, idx):
        raise NotImplementedError()
    
    @staticmethod
    def collate(batch):
        return default_collate(batch)